at.chipkarte.client.bkf.soap

## Class BKFKonsultationInfo

- Object
- - at.chipkarte.client.bkf.soap.BKFKonsultationInfo

-     public class BKFKonsultationInfo
      extends Object

  Diese Klasse enthält die Daten einer Konsultation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BKFKonsultationInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBehandlungsdatum()` Datum der Behandlung.
    `String` | `getBehandlungsfallCode()` Code des Behandlungsfalls.
    `String` | `getFachgebietsCode()` Code des Fachgebietes, mit dem die Konsultation durchgeführt wurde.
    `Boolean` | `getFolgeDokumentation()` Kennzeichen, ob bei Verwendung dieser Konsultation eine Erst- oder Folgedokumentation erfasst werden kann.
    `Long` | `getKonsultationsID()` Eindeutiger Bezeichner einer Konsultation.
    `String` | `getLeistungsSvtCode()` Leistungszuständiger KVT.
    `String` | `getVerrechnungsSvtCode()` Verrechnungszuständiger KVT.
    `String` | `getVersicherungsstatus()` Code der Versichertenkategorie.
    `void` | `setBehandlungsdatum(String behandlungsdatum)`
    `void` | `setBehandlungsfallCode(String behandlungsfallCode)`
    `void` | `setFachgebietsCode(String fachgebietsCode)`
    `void` | `setFolgeDokumentation(Boolean folgeDokumentation)`
    `void` | `setKonsultationsID(Long konsultationsID)`
    `void` | `setLeistungsSvtCode(String leistungsSvtCode)`
    `void` | `setVerrechnungsSvtCode(String verrechnungsSvtCode)`
    `void` | `setVersicherungsstatus(String versicherungsstatus)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BKFKonsultationInfo

          public BKFKonsultationInfo()

  - ### Method Detail

    - #### getKonsultationsID

          public Long getKonsultationsID()

      Eindeutiger Bezeichner einer Konsultation.
      Angabe: Muss.
      Format: maximal 19-stellig
      Returns:
        KonsultationsID

    - #### setKonsultationsID

          public void setKonsultationsID(Long konsultationsID)

    - #### getBehandlungsdatum

          public String getBehandlungsdatum()

      Datum der Behandlung.
      Angabe: Muss.
      Format: TT.MM.JJJJ
      Returns:
        Behandlungsdatum

    - #### setBehandlungsdatum

          public void setBehandlungsdatum(String behandlungsdatum)

    - #### getVersicherungsstatus

          public String getVersicherungsstatus()

      Code der Versichertenkategorie.
      Angabe: Kann.
      Mögliche Werte siehe `Versichertenkategorie`.
      Returns:
        Versicherungsstatus

    - #### setVersicherungsstatus

          public void setVersicherungsstatus(String versicherungsstatus)

    - #### getLeistungsSvtCode

          public String getLeistungsSvtCode()

      Leistungszuständiger KVT.
      Angabe: Kann.
      Format: 2-stellig.
      Returns:
        LeistungsSvtCode

    - #### setLeistungsSvtCode

          public void setLeistungsSvtCode(String leistungsSvtCode)

    - #### getVerrechnungsSvtCode

          public String getVerrechnungsSvtCode()

      Verrechnungszuständiger KVT.
      Angabe: Muss.
      Format: 2-stellig.
      Returns:
        VerrechnungsSvtCode

    - #### setVerrechnungsSvtCode

          public void setVerrechnungsSvtCode(String verrechnungsSvtCode)

    - #### getFachgebietsCode

          public String getFachgebietsCode()

      Code des Fachgebietes, mit dem die Konsultation durchgeführt wurde.
      Angabe: Muss.
      Format: 2-stellig.
      Returns:
        FachgebietsCode

    - #### setFachgebietsCode

          public void setFachgebietsCode(String fachgebietsCode)

    - #### getBehandlungsfallCode

          public String getBehandlungsfallCode()

      Code des Behandlungsfalls.
      Angabe: Muss.
      Format: 2-stellig.
      Returns:
        BehandlungsfallCode

    - #### setBehandlungsfallCode

          public void setBehandlungsfallCode(String behandlungsfallCode)

    - #### getFolgeDokumentation

          public Boolean getFolgeDokumentation()

      Kennzeichen, ob bei Verwendung dieser Konsultation eine Erst- oder Folgedokumentation erfasst werden kann. Angabe: Muss.
      Returns:
        FolgeDokumentation

    - #### setFolgeDokumentation

          public void setFolgeDokumentation(Boolean folgeDokumentation)